@echo off
cls
cd LP2_1
set crc1=
set crc2=
..\crc32 "LOST PLANET 2.msi" >..\crc2
echo ,crc2>>..\crc2
FOR /F "tokens=1,2 delims=, " %%i in (..\crc1 ..\crc2) do (
set %%j=%%i
)
if %crc1% neq %crc2% goto end
echo Patching MSI file...
..\bspatch "LOST PLANET 2.msi" "LOST PLANET 2 patched.msi" ..\patch.bin
del "LOST PLANET 2.msi"
ren "LOST PLANET 2 patched.msi" "LOST PLANET 2.msi"
echo.Done.
pause
echo.Moving/Copying files...
rd /s /q ISSetupPrerequisites
move /y ..\setup.ini .\ >nul
move /y ..\Autorun.inf .\ >nul
move /y *5*.cab ..\LP2_2\ >nul
move /y *6*.cab ..\LP2_2\ >nul
move /y *7*.cab ..\LP2_3\ >nul
move /y *8*.cab ..\LP2_3\ >nul
move /y *9*.cab ..\LP2_3\ >nul
move /y redist ..\LP2_3\ >nul
echo.Done.
pause
cd..
cls
echo Creating ISO images...  0%%
CDIMAGE -l"LP2_1" -j1 -t10/15/2010 -h -x -o -m ".\LP2_1" "LP2_1.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Creating ISO images... ۲ 33%%
CDIMAGE -l"LP2_2" -j1 -t10/15/2010 -h -x -o -m ".\LP2_2" "LP2_2.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Creating ISO images... ۲ 66%%
CDIMAGE -l"LP2_3" -j1 -t10/15/2010 -h -x -o -m ".\LP2_3" "LP2_3.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Creating ISOs images...  100%%
echo.All done.
pause
rd /s /q LP2_1 LP2_2 LP2_3
del /s /q bspatch.exe CRC32.exe patch.bin crc1 crc2 CDIMAGE.EXE patch.bat
goto EOF
:end
echo WARNING: Can't apply the patch, MSI files version mismatch or already patched!
pause
goto EOF
:CDIerror
echo WARNING: Creation of ISO Images failed , please retry... 
pause
:EOF
